## org.eclipse.jst.jsf.context.symbol
Interface IJavaTypeDescriptor2

All Superinterfaces:
  ITypeDescriptor

All Known Subinterfaces:
  IBoundedJavaTypeDescriptor

    public interface IJavaTypeDescriptor2

extends ITypeDescriptor

A representation of the model object 'IJava Type Descriptor2'.

Provisional API - subject to change

The following features are supported:

- `Type`
- `Bean Properties`
- `Bean Methods`
- `Array Count`

See Also:
  `SymbolPackage.getIJavaTypeDescriptor2()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`int` `getArrayCount()` Returns the value of the 'Array Count' attribute
`EList` `getBeanMethods()` Returns the value of the 'Bean Methods' reference list.
`EList` `getBeanProperties()` Returns the value of the 'Bean Properties' reference list.
`IType` `getType()` Returns the value of the 'Type' attribute
`IType` `resolveType(java.lang.String resolvedTypeSignature)`
`void` `setArrayCount(int value)` Sets the value of the '`Array Count`' attribute
`void` `setType(IType value)` Sets the value of the '`Type`' attribute

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ITypeDescriptor
`calculateSyntheticCall, getArrayElement, getInterfaceTypeSignatures, getJdtContext, getMethods, getProperties, getSuperTypeSignatures, getTypeParameterSignatures, getTypeSignature, getTypeSignatureDelegate, instanceOf, isArray, isEnumType, setEnumType, setJdtContext, setTypeSignatureDelegate`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getType

    IType getType()

  Returns the value of the 'Type' attribute.

  If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `setType(IType)`, `SymbolPackage.getIJavaTypeDescriptor2_Type()`

### setType

    void setType(IType value)

  Sets the value of the '`Type`' attribute.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `getType()`

### getBeanProperties

    EList getBeanProperties()

  Returns the value of the 'Bean Properties' reference list. The list contents are of type `IBeanPropertySymbol`.

  If the meaning of the 'Bean Properties' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bean Properties' reference list.
  See Also:
    `SymbolPackage.getIJavaTypeDescriptor2_BeanProperties()`

### getBeanMethods

    EList getBeanMethods()

  Returns the value of the 'Bean Methods' reference list. The list contents are of type `IBeanPropertySymbol`.

  If the meaning of the 'Bean Methods' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bean Methods' reference list.
  See Also:
    `SymbolPackage.getIJavaTypeDescriptor2_BeanMethods()`

### getArrayCount

    int getArrayCount()

  Returns the value of the 'Array Count' attribute.

  If the meaning of the 'Array Count' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Array Count' attribute.
  See Also:
    `setArrayCount(int)`, `SymbolPackage.getIJavaTypeDescriptor2_ArrayCount()`

### setArrayCount

    void setArrayCount(int value)

  Sets the value of the '`Array Count`' attribute. records the array nesting of the type. IType doesn't encapsulate array types. So if this type is an array then type will represent the base element and this value will be > 0. If not an array, then _arrayCount is always 0.

  Parameters:
    `value` - the new value of the 'Array Count' attribute.
  See Also:
    `getArrayCount()`

### resolveType

    IType resolveType(java.lang.String resolvedTypeSignature)

  Specified by:
    `resolveType` in interface `ITypeDescriptor`
  Parameters:
    `resolvedTypeSignature` -
  Returns:
    the resolved type or null.